All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.graphics.html
Class ESRIMapMenu

    com.sas.servlet.tbeans.graphics.html.ESRIMapMenu

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.actionprovider.refresh.PartialRefreshActionsInterface, URLTemplateViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, RenderableInterface, TransformationInterface, com.sas.servlet.tbeans.TransformationInterface2, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    public class ESRIMapMenu

***WARNING***

This class is an experimental class and is largely untested.

MapMenu is a TransformationBean that subclasses the MenuBar tbean and has the map-related items that appear in the ESRI Map tbean toolbar..

See Also:
  `ESRIMapChart`, `ESRIMapComposite`, Serialized Form

Constructor Summary
`ESRIMapMenu()`

Method Summary
`SelectorMenuBar` | `buildMenuBar()` Build a menubar from the actions defined for the area on the menubar default filter and set initial properties on the menubar.
`ESRIMapChart` | `getMap()`
`protected void` | `setFilterAttributes(ActionSupportFilter toolbarSupportFilter)` Sets the model attribute on the passed in menubarFilter.
`void` | `setMap(ESRIMapChart map)`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.RelationalMenuBar
`getModel, setModel, write`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.ActionProviderMenuBar
`getBorderWidth, getCellPadding, getCellSpacing, getDefaultSelectorMenubar, getFirstTabIndex, getHeight, getHeightPercentage, getHorizontalOrientation, getLastTabIndex, getLeftImage, getMenuCount, getMenus, getRightImage, getSelectorActions, getSelectorMenubar, getSeparator, getSeparatorImage, getStyleClassPrefix, getTarget, getTemplate, getViewer, getWidth, getWidthPercentage, setBorderWidth, setCellPadding, setCellSpacing, setFirstTabIndex, setHeight, setHeightPercentage, setHorizontalOrientation, setLeftImage, setRightImage, setSelectorMenubar, setSeparator, setSeparatorImage, setStyleClassPrefix, setTarget, setTemplate, setTemplate, setTemplate, setViewer, setWidth, setWidthPercentage`

Methods inherited from class com.sas.servlet.tbeans.BaseActionTransformation
`dispose, getActionProvider, getActionSupportType, getUniqueId, isActionVisible, listActionTypes, listAreaTypes, setActionProvider, setActionSupportType, setActionVisible, setUniqueId`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocale, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setLocale, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Constructor Detail

### ESRIMapMenu

    public ESRIMapMenu()

Method Detail

### setFilterAttributes

    protected void setFilterAttributes(ActionSupportFilter toolbarSupportFilter)

  Sets the model attribute on the passed in menubarFilter.

  Overrides:
    `setFilterAttributes` in class `RelationalMenuBar`
  Parameters:
    `menubarFilter` - the menubar filter object

### buildMenuBar

    public SelectorMenuBar buildMenuBar()

  Build a menubar from the actions defined for the area on the menubar default filter and set initial properties on the menubar.

  Overrides:
    `buildMenuBar` in class `ActionProviderMenuBar`
  Returns:
    a selector menubar

### getMap

    public ESRIMapChart getMap()

  Returns:
    Returns the map.

### setMap

    public void setMap(ESRIMapChart map)

  Parameters:
    `map` - The map to set.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.